"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var getIndexTemplate = function (componentTemplate, componentName, _a) {
    var useTypescript = _a.useTypescript;
    var extIndex = utils_1.getDataBasedOnCondition(useTypescript, "ts", "js");
    var extComponent = utils_1.getDataBasedOnCondition(useTypescript, "tsx", "jsx");
    var template = utils_1.setTemplate({
        template: componentTemplate,
        fileName: "index." + extIndex
    });
    template
        .setTransform({
        from: "importComponent",
        to: "import " + componentName + " from \"./" + componentName + "." + extComponent + "\";\n\r"
    })
        .setTransform({
        from: "exportComponent",
        to: "export default " + componentName
    });
    return template;
};
exports.default = getIndexTemplate;
