"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var getStyleTemplate = function (componentTemplate, componentName, _a) {
    var usePreprocessor = _a.usePreprocessor;
    var extStyle = utils_1.getDataBasedOnCondition(!!usePreprocessor, usePreprocessor, "css");
    var template = utils_1.setTemplate({
        template: componentTemplate,
        fileName: componentName + "." + extStyle
    });
    template
        .setTransform({
        from: "TemplateName",
        to: componentName
    });
    return template;
};
exports.default = getStyleTemplate;
