"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDataBasedOnCondition = exports.setTemplate = exports.transform = void 0;
var transform = function (template, context) { return template.replace(/\[(\w+)]/g, function (_, name) { return context[name]; }); };
exports.transform = transform;
var setTemplate = function (_a) {
    var template = _a.template, fileName = _a.fileName;
    return {
        template: template,
        transform: {},
        fileName: fileName,
        setTransform: function (_a) {
            var from = _a.from, to = _a.to;
            this.transform[from] = to;
            return this;
        }
    };
};
exports.setTemplate = setTemplate;
var getDataBasedOnCondition = function (condition, expectExt, defaultExt) { return condition ? expectExt : defaultExt; };
exports.getDataBasedOnCondition = getDataBasedOnCondition;
